# 3d.c File Reference

## Defines
#define | GU_CONSTANT(name)
## Functions
PspGeContext | __attribute__ ((aligned(16)))
static int | lua_sceGuClearDepth (lua_State *L)
static int | lua_sceGuClear (lua_State *L)
static int | lua_sceGumMatrixMode (lua_State *L)
static int | lua_sceGumLoadIdentity (lua_State *L)
static int | lua_sceGumPerspective (lua_State *L)
static int | lua_sceGumTranslate (lua_State *L)
static int | lua_sceGumRotateXYZ (lua_State *L)
static int | lua_sceGumLookAt (lua_State *L)
static int | lua_sceGuTexImage (lua_State *L)
static int | lua_sceGuTexFunc (lua_State *L)
static int | lua_sceGuTexEnvColor (lua_State *L)
static int | lua_sceGuTexFilter (lua_State *L)
static int | lua_sceGuTexScale (lua_State *L)
static int | lua_sceGuTexOffset (lua_State *L)
static int | lua_sceGuAmbientColor (lua_State *L)
static int | lua_sceGuAmbient (lua_State *L)
static int | lua_sceGuEnable (lua_State *L)
static int | lua_sceGuDisable (lua_State *L)
static int | lua_sceGuBlendFunc (lua_State *L)
static int | lua_sceGuLight (lua_State *L)
static int | lua_sceGuLightAtt (lua_State *L)
static int | lua_sceGuLightColor (lua_State *L)
static int | lua_sceGuLightMode (lua_State *L)
static int | lua_sceGuLightSpot (lua_State *L)
static int | lua_sceGumDrawArray (lua_State *L)
static int | lua_start3d (lua_State *L)
static int | lua_end3d (lua_State *L)
void | lua3d_init (lua_State *L)
## Variables
static const luaL_reg | Gu_functions []
static const luaL_reg | Gum_functions []

## Define Documentation

#define GU_CONSTANT | ( | name |  | ) |

Value:

    lua_pushstring(L, #name);\
            lua_pushnumber(L, GU_##name);\
            lua_settable(L, -3);

## Function Documentation

PspGeContext __attribute__ | ( | (aligned(16)) |  | ) |

void lua3d_init | ( | lua_State * | L | ) |

static int lua_end3d | ( | lua_State * | L | ) | `[static]`

static int lua_sceGuAmbient | ( | lua_State * | L | ) | `[static]`

static int lua_sceGuAmbientColor | ( | lua_State * | L | ) | `[static]`

static int lua_sceGuBlendFunc | ( | lua_State * | L | ) | `[static]`

static int lua_sceGuClear | ( | lua_State * | L | ) | `[static]`

static int lua_sceGuClearDepth | ( | lua_State * | L | ) | `[static]`

static int lua_sceGuDisable | ( | lua_State * | L | ) | `[static]`

static int lua_sceGuEnable | ( | lua_State * | L | ) | `[static]`

static int lua_sceGuLight | ( | lua_State * | L | ) | `[static]`

static int lua_sceGuLightAtt | ( | lua_State * | L | ) | `[static]`

static int lua_sceGuLightColor | ( | lua_State * | L | ) | `[static]`

static int lua_sceGuLightMode | ( | lua_State * | L | ) | `[static]`

static int lua_sceGuLightSpot | ( | lua_State * | L | ) | `[static]`

static int lua_sceGumDrawArray | ( | lua_State * | L | ) | `[static]`

static int lua_sceGumLoadIdentity | ( | lua_State * | L | ) | `[static]`

static int lua_sceGumLookAt | ( | lua_State * | L | ) | `[static]`

static int lua_sceGumMatrixMode | ( | lua_State * | L | ) | `[static]`

static int lua_sceGumPerspective | ( | lua_State * | L | ) | `[static]`

static int lua_sceGumRotateXYZ | ( | lua_State * | L | ) | `[static]`

static int lua_sceGumTranslate | ( | lua_State * | L | ) | `[static]`

static int lua_sceGuTexEnvColor | ( | lua_State * | L | ) | `[static]`

static int lua_sceGuTexFilter | ( | lua_State * | L | ) | `[static]`

static int lua_sceGuTexFunc | ( | lua_State * | L | ) | `[static]`

static int lua_sceGuTexImage | ( | lua_State * | L | ) | `[static]`

static int lua_sceGuTexOffset | ( | lua_State * | L | ) | `[static]`

static int lua_sceGuTexScale | ( | lua_State * | L | ) | `[static]`

static int lua_start3d | ( | lua_State * | L | ) | `[static]`

## Variable Documentation

const luaL_reg Gu_functions[]`[static]`

Initial value:

     {
            {"clearColor", lua_sceGuClearColor},
            {"clearDepth", lua_sceGuClearDepth},
            {"clear", lua_sceGuClear},
            {"texImage", lua_sceGuTexImage},
            {"texFunc", lua_sceGuTexFunc},
            {"texEnvColor", lua_sceGuTexEnvColor},
            {"texFilter", lua_sceGuTexFilter},
            {"texScale", lua_sceGuTexScale},
            {"texOffset", lua_sceGuTexOffset},
            {"ambientColor", lua_sceGuAmbientColor},
            {"ambient", lua_sceGuAmbient},
            {"enable", lua_sceGuEnable},
            {"disable", lua_sceGuDisable},
            {"blendFunc", lua_sceGuBlendFunc},
            {"light", lua_sceGuLight},
            {"lightAtt", lua_sceGuLightAtt},
            {"lightColor", lua_sceGuLightColor},
            {"lightMode", lua_sceGuLightMode},
            {"lightSpot", lua_sceGuLightSpot},
            {"start3d", lua_start3d},
            {"end3d", lua_end3d},
      {0, 0}
    }

const luaL_reg Gum_functions[]`[static]`

Initial value:

     {
            {"matrixMode", lua_sceGumMatrixMode},
            {"loadIdentity", lua_sceGumLoadIdentity},
            {"perspective", lua_sceGumPerspective},
            {"translate", lua_sceGumTranslate},
            {"rotateXYZ", lua_sceGumRotateXYZ},
            {"drawArray", lua_sceGumDrawArray},
            {"lookAt",     lua_sceGumLookAt},
      {0, 0}
    }